Apache Web Server 1.3.12 on SCO Open Server 5.0.6

Apache Web Server 1.3.12 on SCO Open Server 5.0.6

Post by Bjarni Mortense » Sat, 23 Sep 2000 04:00:00



Hi

I have installed Apache Web Server 1.3.12 (ver 2000.1) On my SCO Open Server
5.0.6 but when I try to start it I get this message:

# apache start
Syntax error on line 239 of /usr/local/lib/apache/conf/httpd.conf:
Cannot load /usr/local/lib/apache/libexec/libphp3.so into server: dynamic
linker
 : /usr/local/lib/apache/bin/httpd : error opening /usr/local/lib/libgd.so.1
/usr/local/lib/apache/bin/apachectl start: httpd could not be started
#

I have not changed anything in httpd.conf and line 239 looks like this:

...
LoadModule php3_module        libexec/libphp3.so
...

The file: "/usr/local/lib/libgd.so.1" does not exist. I can not find any
file with the pattern "libgd*" on the server.

Anyone got a solution???

/Bjarni

 
 
 

Apache Web Server 1.3.12 on SCO Open Server 5.0.6

Post by Jean-Pierre Radle » Sat, 23 Sep 2000 04:00:00


Bjarni Mortensen propounded (on Fri, Sep 22, 2000 at 09:29:39AM +0200):
| Hi
|
| I have installed Apache Web Server 1.3.12 (ver 2000.1) On my SCO Open Server
| 5.0.6 but when I try to start it I get this message:
|
| # apache start
| Syntax error on line 239 of /usr/local/lib/apache/conf/httpd.conf:
| Cannot load /usr/local/lib/apache/libexec/libphp3.so into server: dynamic
| linker
|  : /usr/local/lib/apache/bin/httpd : error opening /usr/local/lib/libgd.so.1
| /usr/local/lib/apache/bin/apachectl start: httpd could not be started

Did you get Apache from Skunkware?  If so, you need to install the
graphics library from Skunkware too.

--
JP

 
 
 

1. Problem using #perl server-side includes, Apache 1.3.12 on Solaris

Hi,

I am in the process of getting up to speed on web development techniques. I
am unable to convince my Apache 1.3.12 Solaris web server to handle this
server-side include snippet:

<!-- from "Writing Apache Modules with Perl and C", O'Reilly& Associates,
March 1999, 1st Ed. p. 382 --> <!--#perl arg="hello" arg="SSI" arg="world"

The Apache error log reports the following: [Fri Jul 21 09:38:07 2000]
[error] [client ... ] unknown directive "perl" in parsed doc /home/ ...
/web/htdocs/index.shtml

The server-parsing seems to be working, but the mod_include appears to be
having trouble recognizing #perl.  Earlier, I successfully got a "#include
virtual=..." SSI working, so I know the machinery is there somewhere.
/status/perl tells me all the mod_perl hooks are enabled, and the httpd.conf
specifies mod_perl and mod_include in the list of LoadModule/AddModule
directives.

Any articles already there which might help?  I've searched the archive but
haven't found anything, with the exception of a "mod_include & security"
thread that tells me someone got it working awhile ago.

Thanks,
-chris walquist

Sent via Deja.com http://www.deja.com/
Before you buy.

2. Which distributions most popular?

3. Problems installing Apache 1.3.12 & ApacheJServ 1.1.12

4. 2.5.29 DAC960 compile failure "I am a non-portable driver"

5. IBM HTTP Server 1.3.12 AIX + Tomcat

6. How to check the SCSI card?

7. Problems starting Server (1.3.12 on Linux)

8. Making UNIX boxes use a WINS server for DNS

9. Spinning http servers (1.3.12 on Solaris [SunOS 5.7 Generic_106541-11])

10. apache module with pthread library linked crashes Apache 1.3.12 on RedHat Linux 6.2

11. Apache 1.3.12 - AddDescription problem (apache bug ?)

12. Adding a module to Apache 1.3.12